cedar does not start under macOS sierra 10.12.6

Issue #1208 new
kluth
created an issue

I successfully compiled cedar 5.1.0 under macOS sierra 10.12 but it won't run, just giving this output:

dyld: Library not loaded: /usr/local/opt/libtiff/lib/libtiff.5.dylib
  Referenced from: /path/to/cedar5.1.0-mac/build/../bin/cedar
  Reason: Incompatible library version: cedar requires version 8.0.0 or later, but libtiff.5.dylib provides version 6.0.0
Abort trap: 6

I've installed all dependencies via homebrew, in particular libtiff is installed (neither version 6.0.0 nor 8.0.0 but homebrew's current):

> brew info libtiff
libtiff: stable 4.0.8 (bottled)
TIFF library and utilities

I also tried to compile the newest cedar development version (current development master) but this failed probably due to problems installing QGLViewer under mac (it's not available anymore under Mac and manually installing is ... an adventure) and/or qt4/qt5 problems. I could open another issue for that, if you like.

Comments (2)

  1. jokeit

    Dear Kluth, we are currently preparing static builds of cedar (albeit v6.0, i.e. the development version) for our summer school in a few weeks. If you are interested, we could set you up with one as soon as these are ready.

  2. kluth reporter

    Thanks, I will participate in the summer school anyway (but with my Fedora 26 laptop), so I guess I'll get the version there.

  3. Log in to comment